AnsweredAssumed Answered

SAP HANA Geodatabase support in ArcGIS 10.5

Question asked by luijten on Jan 21, 2017
Latest reply on Jul 31, 2017 by sbenner-esristaff

Hi folks, I am looking for some consistent and reliable information about to what extent ArcGIS Desktop 10.5 and ArcGIS Server 10.5 support SAP HANA SPS databases.

- Is this full Geodatabase support (versioning, geometric networks, etc..)?

- what version of SAP HANA SPS are supported.

 

I have found various information but it's not consistent:

 

http://support.esri.com/technical-article/000012246/

Articile from 5/5/2016: “In 2016, ArcGIS plans to support SAP HANA as an enterprise geodatabase. The target time frame for Esri's ArcGIS support is late Q4 2016. SAP HANA only supports the newer geodatabase model that is currently under development.”  --> I have not seen further communication from Esri on this.

 

http://desktop.arcgis.com/en/system-requirements/latest/database-requirements-sap-hana.htm

States that only SAP HANA SPS9 and SPS10 are supported database versions for ArcGIS 10.5, but "Geodatabase functionality is not supported with SAP HANA".

 

https://server.arcgis.com/en/insights/latest/use/supported-databases-insights.htm

Insight for ArcGIS (10.5) support SAP HANA SPS 11 and 12

--> So Insight for ArcGIS supports later SPS versions than ArcGIS Desktop and Server 10.5 do? Weird.

 

http://help.sap.com/hana/Whats_New_SAP_HANA_Spatial_en.pdf

finally states that as of SAP HANA SPS12 (revision 120) “The supported for SAP HANA Spatial has been enhanced: ESRI ArcGIS, SAP HANA as Geodatabase”.

--> Sound promising. Only place I found that states SAP HANA Geodatabase. This seems to contradict the information on Esri's website (see 2nd link above)

 

Has anyone actually worked already with ArcGIS 10.4 or 10.5 and SAP HANA databases? Does the above make sense and what is your experience as to what  degree SAP HANA SPS is actually supported?

 

Thanks,

Joep

Outcomes